petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatMFFDSetCheckh

Sets a function that checks the computed h and adjusts it to satisfy some criteria

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDSetCheckh(Mat J,PetscErrorCode (*fun)(void*,Vec,Vec,PetscScalar*),void *ctx)

Logically Collective on Mat

### Input Parameters

| J | - the MatMFFD matrix
| fun | - the function that checks h
| ctx | - any context needed by the function

### Options Database Keys

-mat_mffd_check_positivity -

Notes: For example, MatMFFDSetCheckPositivity() insures that all entries of U + h*a are non-negative

### See Also

MatMFFDSetCheckPositivity()

Level:advanced
Location:src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages